Skip to main content
POST
/
v1
/
process
/
workflows
/
resumeWorkflowRunsApi
curl --location 'https://api.sarasfinance.com/v1/process/workflows/resumeWorkflowRunsApi' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
    "subProjectId": "93d599a6-a396-4ef6-b30e-aff95c56c523",
    "runId": "run_017b2c9a",
    "approved": true,
    "payload": {
        "overrideComments": "Verified by Compliance Team"
    }
}'
{
  "runId": {
    "id": "run_017b2c9a",
    "state": "RACING"
  }
}

Body Parameters

subProjectId
string
required
The unique identifier for the sub-project.
runId
string
required
The unique identifier for the paused workflow run.
payload
object
Key-value map containing variables or slots updates to feed back into the workflow context.
approved
boolean
default:"false"
Approval decision for Human-in-the-Loop steps (pass true to approve, false to reject/deny).

Response

runId
object
curl --location 'https://api.sarasfinance.com/v1/process/workflows/resumeWorkflowRunsApi' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <token>' \
--data '{
    "subProjectId": "93d599a6-a396-4ef6-b30e-aff95c56c523",
    "runId": "run_017b2c9a",
    "approved": true,
    "payload": {
        "overrideComments": "Verified by Compliance Team"
    }
}'
{
  "runId": {
    "id": "run_017b2c9a",
    "state": "RACING"
  }
}

Error Codes

CodeIDDescription
ERROR_PROCESS_META_IS_MISSING_IN_REQUEST1200Metadata missing in request (e.g. runId missing)
ERROR_SUBPROCESS_META_NOT_FOUND1202Sub-project metadata not found
ERROR_NOT_ALLOWED_TO_CALL_METHOD1209User unauthorized to resume workflow runs